<?php
/*
 * This file is part of GBook - PHP Guestbook.
 *
 * (c) Copyright 2016 by Klemen Stirn. All rights reserved.
 * http://www.phpjunkyard.com
 * http://www.phpjunkyard.com/php-guestbook-script.php
 *
 * For the full copyright and license agreement information, please view
 * the docs/index.html file that was distributed with this source code.
 */

define('IN_SCRIPT',true);

// Set correct Content-Type header
if (!defined('NO_HTTP_HEADER')) {
    header('Content-Type: text/html; charset=utf-8');
}

// Define some constants for backward-compatibility
if (!defined('ENT_SUBSTITUTE')) {
    define('ENT_SUBSTITUTE', 0);
}
if (!defined('ENT_XHTML')) {
    define('ENT_XHTML', 0);
}

// Set encoding to UTF-8
header('Content-Type: text/html; charset=utf-8');
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

require('settings.php');
$delimiter="\t";

$html = '';

foreach (glob("apptmp/*.txt") as $filename) {

    $line = file_get_contents($filename);
    $line = rtrim($line);
    list($name,$from,$email,$url,$comment,$added,$isprivate,$reply)=explode($delimiter, $line);

    $id = str_replace(array('apptmp/', '.txt'), '', $filename);

    $html .= "
    <table style='border:1px solid'>
    <tr>
    <td valign='top' style='border-right:1px solid'>

        <table>
        <tr>
        <td>Name: </td>
        <td>$name</td>
        </tr>
        <tr>
        <td>From: </td>
        <td>$from</td>
        </tr>
        <tr>
        <td>Email: </td>
        <td>$email</td>
        </tr>
        <tr>
        <td>URL: </td>
        <td>$url</td>
        </tr>
        <tr>
        <td>Date: </td>
        <td>$added</td>
        </tr>
        </table>
    </td>
    <td valign='top' style='width:80%'>$comment</td>
    </table>
    <p>
    <a href='gbook.php?id={$id}&a=approve&do=1' target='_blank'><span style='color:green'>APPROVE</span></a> |
    <a href='gbook.php?id={$id}&a=approve&do=0' target='_blank'><span style='color:red'>REJECT</span></a>
    </p>
    <hr>
    ";
}

if (strlen($html))
{
    ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Manually approve entries</title>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
</head>

<body>
    <?php
    echo $html . '</body></html>';
}
else
{
    echo "Nothing to approve!";
}

exit;
